package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFH09 extends MwfRequest<MWFH09, MWFH09Response> {

    @Parameter(name = "BezOhleduNaOM")
    MWFH09 bezOhleduNaOM(String bezOhleduNaOM);
    @Parameter(name = "CastkaPlatby")
    MWFH09 castkaPlatby(Double castkaPlatby);
    @Parameter(name = "CisloUctu")
    MWFH09 cisloUctu(String cisloUctu);
    @Parameter(name = "IDTransakce")
    MWFH09 iDTransakce(Long iDTransakce);
    @Parameter(name = "IDTransakceIB")
    MWFH09 iDTransakceIB(Long iDTransakceIB);
}
